require "zenturio_batteries/version"
require "zenturio_batteries/base/generator"
require "zenturio_batteries/configs"

=begin
  Base module for Zenturio Batteries
=end
module ZenturioBatteries

  # return base dir with assets and tasks directory inside
  def self.base_dir
    File.dirname(__FILE__)
  end

  # Loads rake tasks
  def self.load_tasks
    Dir.glob(base_dir+'/tasks/*.rake').each { |f| load f }
  end

end
