require 'zenturio_batteries'

namespace :batteries do 

  namespace :configs do
    gen = ZenturioBatteries::Configs.new
    options = gen.available_options

    options.each do |opt|
      desc opt[:label]
      task opt[:handler], :hard_mode? do |t, args|
        puts ''
        hard_mode = (args[:hard_mode?] == 'true')        
        gen.execute! opt[:handler], hard_mode
        puts ''
      end
    end
  end 

end